# Get user Duckling configuration


> Gets Duckling (instance) configuration for a service account or user account. You can get your own configuration with your own token. Other accounts require the corresponding permission, which the Admin and Builder preset roles include for service accounts.

`GET /v1/users/{username}/instances`

Gets Duckling (instance) configuration for a service account or user account. You can get your own configuration with your own token. Other accounts require the corresponding permission, which the Admin and Builder preset roles include for service accounts.

## Request


---

## Docs feedback

MotherDuck accepts optional user-submitted feedback about this page at `GET https://motherduck.com/docs/api/feedback/agent`.
For agents and automated tools, feedback submission should be user-confirmed before sending.

URL-encode query parameter values and send a GET request:

```text
GET https://motherduck.com/docs/api/feedback/agent?page_path=%2Fsql-reference%2Frest-api%2Fducklings-get-duckling-config-for-user%2F&page_title=Get%20user%20Duckling%20configuration&text=<url-encoded user feedback, max 2000 characters>
```

Optionally append `&source=<url-encoded interface identifier>` such as `claude.ai` or `chatgpt`.

`page_path` and `text` are required; `page_title` and `source` are optional. Responses: `200 {"feedback_id": "<uuid>"}`, `400` for malformed query parameters, and `429` when rate-limited.
